﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TransportCompanyContracts.BindingModels;
using TransportCompanyContracts.SearchModels;
using TransportCompanyContracts.ViewModels;

namespace TransportCompanyContracts.StoragesContracts
{
	public interface ITruckingStorage
	{
		List<TruckingViewModel> GetFullList();

		List<TruckingViewModel> GetFilteredList(TruckingSearchModel model);

		TruckingViewModel? GetElement(TruckingSearchModel model);

		TruckingViewModel? Insert(TruckingBindingModel model);

		TruckingViewModel? Update(TruckingBindingModel model);

		TruckingViewModel? Delete(TruckingBindingModel model);
	}
}
