﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace TransportCompanyDatabaseImplements.Migrations
{
    /// <inheritdoc />
    public partial class StartMigration : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateIndex(
                name: "IX_trucking_cargo_id",
                table: "trucking",
                column: "cargo_id");

            migrationBuilder.CreateIndex(
                name: "IX_trucking_client_id",
                table: "trucking",
                column: "client_id");

            migrationBuilder.CreateIndex(
                name: "IX_trucking_transport_id",
                table: "trucking",
                column: "transport_id");

            migrationBuilder.CreateIndex(
                name: "IX_trucking_type_transportation_id",
                table: "trucking",
                column: "type_transportation_id");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "trucking");

            migrationBuilder.DropTable(
                name: "cargo");

            migrationBuilder.DropTable(
                name: "client");

            migrationBuilder.DropTable(
                name: "transport");

            migrationBuilder.DropTable(
                name: "type_transportation");

            migrationBuilder.DropSequence(
                name: "seq_cargo");

            migrationBuilder.DropSequence(
                name: "seq_client");

            migrationBuilder.DropSequence(
                name: "seq_trucking");

            migrationBuilder.DropSequence(
                name: "seq_type_transport");

            migrationBuilder.DropSequence(
                name: "seq_type_transportation");
        }
    }
}
