﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace TransportCompanyDatabaseImplements.Migrations
{
    /// <inheritdoc />
    public partial class FirstMigra : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "type_transportation_id",
                table: "trucking",
                newName: "transportation_id");

            migrationBuilder.RenameIndex(
                name: "IX_trucking_type_transportation_id",
                table: "trucking",
                newName: "IX_trucking_transportation_id");

            migrationBuilder.AlterColumn<double>(
                name: "price",
                table: "trucking",
                type: "double precision",
                nullable: false,
                oldClrType: typeof(int),
                oldType: "integer");

            migrationBuilder.AlterColumn<DateTime>(
                name: "date_start",
                table: "trucking",
                type: "timestamp with time zone",
                nullable: false,
                oldClrType: typeof(DateOnly),
                oldType: "date");

            migrationBuilder.AlterColumn<DateTime>(
                name: "date_end",
                table: "trucking",
                type: "timestamp with time zone",
                nullable: false,
                oldClrType: typeof(DateOnly),
                oldType: "date");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "transportation_id",
                table: "trucking",
                newName: "type_transportation_id");

            migrationBuilder.RenameIndex(
                name: "IX_trucking_transportation_id",
                table: "trucking",
                newName: "IX_trucking_type_transportation_id");

            migrationBuilder.AlterColumn<int>(
                name: "price",
                table: "trucking",
                type: "integer",
                nullable: false,
                oldClrType: typeof(double),
                oldType: "double precision");

            migrationBuilder.AlterColumn<DateOnly>(
                name: "date_start",
                table: "trucking",
                type: "date",
                nullable: false,
                oldClrType: typeof(DateTime),
                oldType: "timestamp with time zone");

            migrationBuilder.AlterColumn<DateOnly>(
                name: "date_end",
                table: "trucking",
                type: "date",
                nullable: false,
                oldClrType: typeof(DateTime),
                oldType: "timestamp with time zone");
        }
    }
}
